%global url_ver %%(echo %{version}|cut -d. -f1)
%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so.*$

Summary:       A quick previewer for Nautilus
Name:          sushi
Version:       43.0
Release:       6%{?dist}
License:       GPLv2+ with exceptions
URL:           https://gitlab.gnome.org/GNOME/sushi
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: gettext gjs-devel meson pkgconfig(evince-document-3.0) pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gstreamer-audio-1.0) pkgconfig(gtk+-3.0) pkgconfig(gtksourceview-4) pkgconfig(webkit2gtk-4.1)

Requires: gtksourceview4

%description
This is sushi, a quick previewer for Nautilus, the GNOME desktop file manager.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS NEWS TODO
%{_bindir}/sushi
%{_libexecdir}/org.gnome.NautilusPreviewer
%{_libdir}/sushi/
%{_datadir}/dbus-1/services/org.gnome.NautilusPreviewer.service
%{_metainfodir}/org.gnome.NautilusPreviewer.appdata.xml
%{_datadir}/sushi/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 43.0-5
- Rebuilt for webkitgtk 2.41.6

* Mon Jul 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 43.0-4
- Rebuilt for gstreamer1-plugins-base 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
